﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace PDFPrintingSample
{
    public partial class MainPage : ContentPage
    {
        Stream documentStream;
        public MainPage()
        {
            InitializeComponent();
            documentStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream("PDFPrintingSample.Assets.GIS Succinctly.pdf");           
            printButton.Clicked += PrintButton_Clicked;
        }

        private void PrintButton_Clicked(object sender, EventArgs e)
        {
            DependencyService.Get<IPrintService>().Print(documentStream, "GIS Succinctly.pdf");
        }
    }
}
